%define module psycopg

%define zope_product_path %{_prefix}/lib/zope/lib/python/Products/

Summary:        PostgreSQL database adapter for Python
Name:           python-%module
Version:        1.1.21
Release:        %mkrel 13
Group:          Development/Python
License:        GPLv2+
URL:            http://www.initd.org/software/initd/psycopg
Source0:        http://initd.org/pub/software/psycopg/%{module}-%{version}.tar.bz2
Patch0:		psycopg-1.1.21-linkage.patch
BuildRequires:  python-devel
BuildRequires:  postgresql-devel
BuildRequires:  python-egenix-mx-base
# for DateTime
Requires:       python-egenix-mx-base

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
%configure2_5x \
   --with-mxdatetime-includes=%{py_platsitedir}/mx/DateTime/mxDateTime/
%make

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT/%{py_platsitedir}
install -m 755 psycopgmodule.so $RPM_BUILD_ROOT/%{py_platsitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS  COPYING  CREDITS  FAQ  INSTALL  NEWS  README  RELEASE-1.0  SUCCESS  TODO doc
%{py_platsitedir}/*.so


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.21-13.mga3
+ Revision: 379287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 ahmad <ahmad> 1.1.21-12.mga2
+ Revision: 106358
- Drop the buildroot declaration and clean the spec a bit
- Fix the License tag
- imported package python-psycopg

